import importlib


def build(reporter_type, config={}):
  """
  Creates and initializes the appropriate store based on the 'reporter_type'. The 'config' structure varies by
  implementation.
  """

  module = importlib.import_module('..impl.' + reporter_type, package=__name__)
  return module.Reporter(**config)
